Page MenuHomePhabricator

Add "absent" and "present" field operators to the Ferret query compiler
ClosedPublic

Authored by epriestley on Apr 14 2020, 4:56 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Apr 6, 5:17 PM
Unknown Object (File)
Sun, Mar 31, 3:27 AM
Unknown Object (File)
Feb 10 2024, 11:23 PM
Unknown Object (File)
Jan 25 2024, 2:16 AM
Unknown Object (File)
Jan 11 2024, 6:52 AM
Unknown Object (File)
Dec 25 2023, 8:51 AM
Unknown Object (File)
Dec 24 2023, 11:02 PM
Unknown Object (File)
Nov 30 2023, 4:48 AM
Subscribers
None

Details

Summary

Ref T13509. Parse "xyz:-" as "xyz is absent" and "xyz:~" as "xyz is present". These are new operators which the compiler emits separately from "not" and "substring".

Test Plan

Added unit tests, ran unit tests.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Apr 14 2020, 5:47 PM
This revision was automatically updated to reflect the committed changes.